Межсайтовый скриптинг в Atom PhotoBlog

Дата публикации:
07.06.2007
Дата изменения:
28.07.2008
Всего просмотров:
807
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3134
CVE-2007-3135
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Atom PhotoBlog 1.x
Уязвимые версии: Atom PhotoBlog 1.0.9, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в полях Your Name", "Your Homepage" и "Your Comment" в сценарии atomPhotoBlog.php при использовании администратором функционала "Approve Comments", и в параметре "tag" в сценарии atomPhotoBlog.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: atomphotoblog.ilenvo.de

Решение: Установите последнюю версию 1.0.9.1 с сайта производителя.

или введите имя

CAPTCHA